package com.brilliance.isc.vo.funds;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * @program: isc-core
 * @ClassName: FxdgrpVo
 * @description: fxdgrp VO
 * @author: huangshunlin
 * @create: 2024-10-09 11:23
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FxdgrpVo extends AbstractCommonVo {

    private FxdVo rec;

    private FxtVo blk;

    private FxacbsVo cbs;

    private PtsptaVo apl;

    private PtsptaVo act;

    private PtsptaVo age;

    private PtsptaVo acc;

    @Override
    public void reset() {
        super.reset();
        if (rec == null) {
            rec = new FxdVo();
        }
        if (blk == null) {
            blk = new FxtVo();
        }
        if (cbs == null) {
            cbs = new FxacbsVo();
        }
        cbs.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
        if (act == null) {
            act = new PtsptaVo();
        }
        act.reset();
        if (age == null) {
            age = new PtsptaVo();
        }
        age.reset();
        if (acc == null) {
            acc = new PtsptaVo();
        }
        acc.reset();

    }
}
